[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# tagSTATSTG

Storage statistics type for IStream interface.

## Declaration

Source position: types.pp line 247

`type tagSTATSTG = record`
`pwcsName: POleStr;` |  | Name for the storage object. Typically the filename.
`dwType: DWORD;` |  | Storage type
`cbSize: LARGE_UINT;` |  | Storage size
`mtime: TFileTime;` |  | Modification time
`ctime: TFileTime;` |  | Creation time
`atime: TFileTime;` |  | Last access time
`grfMode: DWORD;` |  | ?
`grfLocksSupported: DWORD;` |  | Locking operations supported by Storage type
`clsid: TCLSID;` |  | Class ID for the storage type
`grfStateBits: DWORD;` |  | State bits
`reserved: DWORD;` |  | Reserved bits
`end;`

## Description

tagSTATSTG is used in the IStream.Stat call. It describes a storage medium (typically a file).

## See also

IStream.Stat |  | return information about the stream.

Documentation generated on: Feb 26 2014